﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace GarmentFactoryDataModels.Models
{
    public interface IShopModel : IId
    {
        string ShopName { get; }
        string Address { get; }
        DateTime DateOpen { get; }
        //Изделия в магазине
        Dictionary<int, (ITextileModel, int)> ShopTextiles { get; }
        //макс. кол-во изделий
		int TextileMaxCount { get; }
	}
}
