﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace GarmentFactoryDatabaseImplement.Models
{
	public class ShopTextile
	{
		public int Id { get; set; }

		[Required]
		public int TextileId { get; set; }

		[Required]
		public int ShopId { get; set; }

		[Required]
		public int Count { get; set; }

		public virtual Shop Shop { get; set; } = new();

		public virtual Textile Textile { get; set; } = new();
	}
}
